OwnerBioTemplate (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacardx.biometry
Interface OwnerBioTemplate

All Superinterfaces:
  BioTemplate

    @TransactionType(value=NOT_SUPPORTED)
    public interface OwnerBioTemplate

extends BioTemplate

The `OwnerBioTemplate` interface should be implemented by the applet which owns the biometric template. It extends the `BioTemplate` interface and adds functionality to enroll a reference template.

Since:
  2.2.2

Field Summary

Fields inherited from interface javacardx.biometry.BioTemplate
`MATCH_NEEDS_MORE_DATA, MINIMUM_SUCCESSFUL_MATCH_SCORE`

Method Summary
`void` | `doFinal()` Finalizes the enrollment of a reference template.
`void` | `init(byte[] bArray, short offset, short length)` Initializes the enrollment of a reference template.
`void` | `resetUnblockAndSetTryLimit(byte newTryLimit)` Resets the validated flag, unblocks the reference, updates the try limit value and resets the try counter to the try limit value.
`void` | `update(byte[] bArray, short offset, short length)` Continues the enrollment of a reference template.

Methods inherited from interface javacardx.biometry.BioTemplate
`getBioType, getPublicTemplateData, getTriesRemaining, getVersion, initMatch, isInitialized, isValidated, match, reset`

Method Detail

### init

    void init(byte[] bArray,
              short offset,
              short length)
              throws BioException

  Initializes the enrollment of a reference template. This method is also used to update a reference template. It resets the validated flag and, in the update case, uninitializes the previous reference. Note: A correct enrollment sequence is : `init`,[`update`],`doFinal`. Calling init and `doFinal` is mandatory, calling `update` is optional.

  Parameters:
    `bArray` - - byte array containing the data of the template
    `offset` - - starting offset in the `bArray`
    `length` - - byte length of the template data in the `bArray`
  Throws:
    `BioException` - with the following reason codes:
    - `BioException.INVALID_DATA` if the submitted template data does not have the required format.

### update

    void update(byte[] bArray,
                short offset,
                short length)
                throws BioException

  Continues the enrollment of a reference template. This method should only be used if all the input data required for enrollment is not available in one byte array. It can be called several times. Note: A correct enrollment sequence is : `init`,[`update`],`doFinal`. Calling `init` and `doFinal` is mandatory, calling `update` is optional.

  Parameters:
    `bArray` - - byte array containing the data of the template
    `offset` - - starting offset in the `bArray`
    `length` - - byte length of the template data in the `bArray`
  Throws:
    `BioException` - with the following reason codes:
    - `BioException.ILLEGAL_USE` if the reference is already initialized or the current enrollment state doesn't expect this method.
    - `BioException.INVALID_DATA` if the submitted template data does not have the required format.

### doFinal

    void doFinal()
                 throws BioException

  Finalizes the enrollment of a reference template. Final action of enrollment is to designate a reference template as being complete and ready for use (marks the reference as initialized, resets the try counter and unblocks the reference). This routine may also include some error checking prior to the validation of reference template as ready for use. Note: A correct enrollment sequence is : `init`,[`update`],`doFinal`. Calling `init` and `doFinal` is mandatory, calling `update` is optional.

  Throws:
    `BioException` - with the following reason codes:
    - `BioException.ILLEGAL_USE` if the reference is already initialized or the current enrollment state doesn't expect this method.
    - `BioException.INVALID_DATA` if the submitted template data does not have the required format.

### resetUnblockAndSetTryLimit

    void resetUnblockAndSetTryLimit(byte newTryLimit)
                                    throws BioException

  Resets the validated flag, unblocks the reference, updates the try limit value and resets the try counter to the try limit value.

  Parameters:
    `newTryLimit` - - the number of tries allowed before the reference is blocked. `newTryLimit` must be at least 1.
  Throws:
    `BioException` - with the following reason codes:
    - `BioException.ILLEGAL_VALUE` if the `newTryLimit` parameter is less than 1.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.